org.springframework.jms.config

## Class JmsListenerConfigUtils

- java.lang.Object
- - org.springframework.jms.config.JmsListenerConfigUtils

    public abstract class JmsListenerConfigUtils
    extends Object

Configuration constants for internal sharing across subpackages.

Since:
  4.1
Author:
  Juergen Hoeller

### Field Summary

Fields
`static String` `JMS_LISTENER_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed JMS listener annotation processor.
`static String` `JMS_LISTENER_ENDPOINT_REGISTRY_BEAN_NAME` The bean name of the internally managed JMS listener endpoint registry.

### Constructor Summary

Constructors
Constructor and Description
`JmsListenerConfigUtils()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JMS_LISTENER_ANNOTATION_PROCESSOR_BEAN_NAME

    public static final String JMS_LISTENER_ANNOTATION_PROCESSOR_BEAN_NAME

The bean name of the internally managed JMS listener annotation processor.

See Also:
  Constant Field Values

#### JMS_LISTENER_ENDPOINT_REGISTRY_BEAN_NAME

    public static final String JMS_LISTENER_ENDPOINT_REGISTRY_BEAN_NAME

The bean name of the internally managed JMS listener endpoint registry.

See Also:
  Constant Field Values

### Constructor Detail

#### JmsListenerConfigUtils

    public JmsListenerConfigUtils()